<template>
    
    <div class="back-part" @click.self="closeModal">
        <div class="modal" :class="{deleteItem: theme === 'deleteItem' }" >
            <h2>{{ header }}</h2>
            <h2>{{editheader}}</h2>
            <h4>{{deleteheader}}</h4>
            <slot></slot>
            <main>
                <slot name="forma"></slot>
            </main>
        </div>
    </div>
</template>

<script>
    export default{
        props: ['header' , 'editheader','deleteheader','theme'],
        methods:{
            closeModal(){
                this.$emit('close');
            }
           
          
            
        }
    }


</script>

<style>

.back-part{
    top:0;
    background-color: rgba(0,0,0,0.4);
    position: fixed;
    width:100%;
    height: 100%;
    left:0;

}

.modal{
    width:500px;
    margin: 100px auto;
    background-color: white;
    border-radius: 5px;
    padding:20px;
}
.deleteItem{
    border-top:2px solid crimson;
    width:400px;
    max-height: 200px;
}


</style>